"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es.array.iterator.js");

require("core-js/modules/web.dom-collections.iterator.js");

(function () {
  var enterModule = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.enterModule : undefined;
  enterModule && enterModule(module);
})();

var __signature__ = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.default.signature : function (a) {
  return a;
};

const int2HexColor = num => `#${num.toString(16).padStart(6, '0')}`;

const rgb2Int = (r, g, b) => r * 256 * 256 + g * 256 + b;

let name = 0;

class ColorTracker {
  constructor() {
    this.name = name++;
    this.index = 0;
    this.max = 255 * 255 * 255 - 1;
    this.registry = {};
  }

  register(obj) {
    this.index += 5;
    const total = this.index;
    const color = int2HexColor(total);
    this.registry[total] = obj;

    if (this.index >= this.max) {
      this.index = 0;
    }

    return color;
  }

  lookup(color) {
    return this.registry[rgb2Int(...color)];
  }

  clear() {
    this.index = 0;
    this.registry = {};
  }

  // @ts-ignore
  __reactstandin__regenerateByEval(key, code) {
    // @ts-ignore
    this[key] = eval(code);
  }

}

const _default = ColorTracker;
var _default2 = _default;
exports.default = _default2;
;

(function () {
  var reactHotLoader = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.default : undefined;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(int2HexColor, "int2HexColor", "/Users/mizy/projects/nebula-explorer-ent/modules/ForceGraph/src/color-tracker.js");
  reactHotLoader.register(rgb2Int, "rgb2Int", "/Users/mizy/projects/nebula-explorer-ent/modules/ForceGraph/src/color-tracker.js");
  reactHotLoader.register(name, "name", "/Users/mizy/projects/nebula-explorer-ent/modules/ForceGraph/src/color-tracker.js");
  reactHotLoader.register(ColorTracker, "ColorTracker", "/Users/mizy/projects/nebula-explorer-ent/modules/ForceGraph/src/color-tracker.js");
  reactHotLoader.register(_default, "default", "/Users/mizy/projects/nebula-explorer-ent/modules/ForceGraph/src/color-tracker.js");
})();

;

(function () {
  var leaveModule = typeof reactHotLoaderGlobal !== 'undefined' ? reactHotLoaderGlobal.leaveModule : undefined;
  leaveModule && leaveModule(module);
})();